org.eclipse.actf.model.dom.odf.draw

## Class DrawConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.draw.DrawConstants

    public final class DrawConstants
    extends Object

DrawConstants defines the constant values used by drawing namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_ANGLE`
`static String` `ATTR_BACKGROUND_SIZE`
`static String` `ATTR_BORDER`
`static String` `ATTR_CAPTION_ID`
`static String` `ATTR_COLOR`
`static String` `ATTR_CONTROL`
`static String` `ATTR_CX`
`static String` `ATTR_CY`
`static String` `ATTR_DISPLAY_NAME`
`static String` `ATTR_DISTANCE`
`static String` `ATTR_DOTS1`
`static String` `ATTR_DOTS1_LENGTH`
`static String` `ATTR_DOTS2`
`static String` `ATTR_DOTS2_LENGTH`
`static String` `ATTR_END`
`static String` `ATTR_END_COLOR`
`static String` `ATTR_END_INTENSITY`
`static String` `ATTR_FILL`
`static String` `ATTR_FILL_COLOR`
`static String` `ATTR_FILL_GRADIENT_NAME`
`static String` `ATTR_FILL_IMAGE_HEIGHT`
`static String` `ATTR_FILL_IMAGE_NAME`
`static String` `ATTR_FILL_IMAGE_REF_POINT`
`static String` `ATTR_FILL_IMAGE_REF_POINT_X`
`static String` `ATTR_FILL_IMAGE_REF_POINT_Y`
`static String` `ATTR_FILL_IMAGE_WIDTH`
`static String` `ATTR_GRADIENT_STEP_COUNT`
`static String` `ATTR_ID`
`static String` `ATTR_MARKER_END_WIDTH`
`static String` `ATTR_MARKER_START_WIDTH`
`static String` `ATTR_MASTER_PAGE_NAME`
`static String` `ATTR_NAME`
`static String` `ATTR_NAV_ORDER`
`static String` `ATTR_NOTIFY_ON_UPDATE_OF_RANGES`
`static String` `ATTR_OPACITY`
`static String` `ATTR_OPACITY_NAME`
`static String` `ATTR_ROTATION`
`static String` `ATTR_START`
`static String` `ATTR_START_COLOR`
`static String` `ATTR_START_INTENSITY`
`static String` `ATTR_STROKE`
`static String` `ATTR_STROKE_DASH`
`static String` `ATTR_STYLE`
`static String` `ATTR_STYLE_NAME`
`static String` `ATTR_TILE_REPEAT_OFFSET`
`static String` `ATTR_Z_INDEX`
`static String` `DRAW_NAMESPACE_URI`
`static String` `ELEMENT_AREA_CIRCLE`
`static String` `ELEMENT_AREA_POLYGON`
`static String` `ELEMENT_AREA_RECTANGLE`
`static String` `ELEMENT_CAPTION`
`static String` `ELEMENT_CIRCLE`
`static String` `ELEMENT_CONNECTOR`
`static String` `ELEMENT_CONTROL`
`static String` `ELEMENT_CUSTOM_SHAPE`
`static String` `ELEMENT_ELLIPSE`
`static String` `ELEMENT_FILL_IMAGE`
`static String` `ELEMENT_FRAME`
`static String` `ELEMENT_G`
`static String` `ELEMENT_GRADIENT`
`static String` `ELEMENT_HATCH`
`static String` `ELEMENT_IMAGE`
`static String` `ELEMENT_IMAGE_MAP`
`static String` `ELEMENT_LINE`
`static String` `ELEMENT_MEASURE`
`static String` `ELEMENT_OBJECT`
`static String` `ELEMENT_OBJECT_OLE`
`static String` `ELEMENT_OPACITY`
`static String` `ELEMENT_PAGE`
`static String` `ELEMENT_PAGE_THUMBNAIL`
`static String` `ELEMENT_PATH`
`static String` `ELEMENT_POLYGON`
`static String` `ELEMENT_POLYLINE`
`static String` `ELEMENT_RECT`
`static String` `ELEMENT_REGULAR_POLYGON`
`static String` `ELEMENT_STROKE_DASH`
`static String` `ELEMENT_TEXT_BOX`

### Constructor Summary

Constructors
Constructor and Description
`DrawConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DRAW_NAMESPACE_URI

    public static final String DRAW_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_PAGE

    public static final String ELEMENT_PAGE

See Also:
  Constant Field Values

#### ELEMENT_FRAME

    public static final String ELEMENT_FRAME

See Also:
  Constant Field Values

#### ELEMENT_OBJECT

    public static final String ELEMENT_OBJECT

See Also:
  Constant Field Values

#### ELEMENT_OBJECT_OLE

    public static final String ELEMENT_OBJECT_OLE

See Also:
  Constant Field Values

#### ELEMENT_IMAGE

    public static final String ELEMENT_IMAGE

See Also:
  Constant Field Values

#### ELEMENT_GRADIENT

    public static final String ELEMENT_GRADIENT

See Also:
  Constant Field Values

#### ELEMENT_HATCH

    public static final String ELEMENT_HATCH

See Also:
  Constant Field Values

#### ELEMENT_FILL_IMAGE

    public static final String ELEMENT_FILL_IMAGE

See Also:
  Constant Field Values

#### ELEMENT_OPACITY

    public static final String ELEMENT_OPACITY

See Also:
  Constant Field Values

#### ELEMENT_STROKE_DASH

    public static final String ELEMENT_STROKE_DASH

See Also:
  Constant Field Values

#### ELEMENT_IMAGE_MAP

    public static final String ELEMENT_IMAGE_MAP

See Also:
  Constant Field Values

#### ELEMENT_AREA_CIRCLE

    public static final String ELEMENT_AREA_CIRCLE

See Also:
  Constant Field Values

#### ELEMENT_AREA_POLYGON

    public static final String ELEMENT_AREA_POLYGON

See Also:
  Constant Field Values

#### ELEMENT_AREA_RECTANGLE

    public static final String ELEMENT_AREA_RECTANGLE

See Also:
  Constant Field Values

#### ELEMENT_RECT

    public static final String ELEMENT_RECT

See Also:
  Constant Field Values

#### ELEMENT_LINE

    public static final String ELEMENT_LINE

See Also:
  Constant Field Values

#### ELEMENT_POLYLINE

    public static final String ELEMENT_POLYLINE

See Also:
  Constant Field Values

#### ELEMENT_POLYGON

    public static final String ELEMENT_POLYGON

See Also:
  Constant Field Values

#### ELEMENT_REGULAR_POLYGON

    public static final String ELEMENT_REGULAR_POLYGON

See Also:
  Constant Field Values

#### ELEMENT_PATH

    public static final String ELEMENT_PATH

See Also:
  Constant Field Values

#### ELEMENT_CIRCLE

    public static final String ELEMENT_CIRCLE

See Also:
  Constant Field Values

#### ELEMENT_ELLIPSE

    public static final String ELEMENT_ELLIPSE

See Also:
  Constant Field Values

#### ELEMENT_G

    public static final String ELEMENT_G

See Also:
  Constant Field Values

#### ELEMENT_PAGE_THUMBNAIL

    public static final String ELEMENT_PAGE_THUMBNAIL

See Also:
  Constant Field Values

#### ELEMENT_MEASURE

    public static final String ELEMENT_MEASURE

See Also:
  Constant Field Values

#### ELEMENT_CAPTION

    public static final String ELEMENT_CAPTION

See Also:
  Constant Field Values

#### ELEMENT_CONNECTOR

    public static final String ELEMENT_CONNECTOR

See Also:
  Constant Field Values

#### ELEMENT_CONTROL

    public static final String ELEMENT_CONTROL

See Also:
  Constant Field Values

#### ELEMENT_CUSTOM_SHAPE

    public static final String ELEMENT_CUSTOM_SHAPE

See Also:
  Constant Field Values

#### ELEMENT_TEXT_BOX

    public static final String ELEMENT_TEXT_BOX

See Also:
  Constant Field Values

#### ATTR_Z_INDEX

    public static final String ATTR_Z_INDEX

See Also:
  Constant Field Values

#### ATTR_NOTIFY_ON_UPDATE_OF_RANGES

    public static final String ATTR_NOTIFY_ON_UPDATE_OF_RANGES

See Also:
  Constant Field Values

#### ATTR_STROKE

    public static final String ATTR_STROKE

See Also:
  Constant Field Values

#### ATTR_STROKE_DASH

    public static final String ATTR_STROKE_DASH

See Also:
  Constant Field Values

#### ATTR_MARKER_START_WIDTH

    public static final String ATTR_MARKER_START_WIDTH

See Also:
  Constant Field Values

#### ATTR_MARKER_END_WIDTH

    public static final String ATTR_MARKER_END_WIDTH

See Also:
  Constant Field Values

#### ATTR_OPACITY

    public static final String ATTR_OPACITY

See Also:
  Constant Field Values

#### ATTR_OPACITY_NAME

    public static final String ATTR_OPACITY_NAME

See Also:
  Constant Field Values

#### ATTR_FILL

    public static final String ATTR_FILL

See Also:
  Constant Field Values

#### ATTR_FILL_COLOR

    public static final String ATTR_FILL_COLOR

See Also:
  Constant Field Values

#### ATTR_FILL_GRADIENT_NAME

    public static final String ATTR_FILL_GRADIENT_NAME

See Also:
  Constant Field Values

#### ATTR_GRADIENT_STEP_COUNT

    public static final String ATTR_GRADIENT_STEP_COUNT

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_NAME

    public static final String ATTR_FILL_IMAGE_NAME

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_WIDTH

    public static final String ATTR_FILL_IMAGE_WIDTH

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_HEIGHT

    public static final String ATTR_FILL_IMAGE_HEIGHT

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_REF_POINT_X

    public static final String ATTR_FILL_IMAGE_REF_POINT_X

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_REF_POINT_Y

    public static final String ATTR_FILL_IMAGE_REF_POINT_Y

See Also:
  Constant Field Values

#### ATTR_FILL_IMAGE_REF_POINT

    public static final String ATTR_FILL_IMAGE_REF_POINT

See Also:
  Constant Field Values

#### ATTR_TILE_REPEAT_OFFSET

    public static final String ATTR_TILE_REPEAT_OFFSET

See Also:
  Constant Field Values

#### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

#### ATTR_ID

    public static final String ATTR_ID

See Also:
  Constant Field Values

#### ATTR_DISPLAY_NAME

    public static final String ATTR_DISPLAY_NAME

See Also:
  Constant Field Values

#### ATTR_STYLE

    public static final String ATTR_STYLE

See Also:
  Constant Field Values

#### ATTR_STYLE_NAME

    public static final String ATTR_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_MASTER_PAGE_NAME

    public static final String ATTR_MASTER_PAGE_NAME

See Also:
  Constant Field Values

#### ATTR_START_COLOR

    public static final String ATTR_START_COLOR

See Also:
  Constant Field Values

#### ATTR_END_COLOR

    public static final String ATTR_END_COLOR

See Also:
  Constant Field Values

#### ATTR_START_INTENSITY

    public static final String ATTR_START_INTENSITY

See Also:
  Constant Field Values

#### ATTR_END_INTENSITY

    public static final String ATTR_END_INTENSITY

See Also:
  Constant Field Values

#### ATTR_ANGLE

    public static final String ATTR_ANGLE

See Also:
  Constant Field Values

#### ATTR_BORDER

    public static final String ATTR_BORDER

See Also:
  Constant Field Values

#### ATTR_COLOR

    public static final String ATTR_COLOR

See Also:
  Constant Field Values

#### ATTR_DISTANCE

    public static final String ATTR_DISTANCE

See Also:
  Constant Field Values

#### ATTR_ROTATION

    public static final String ATTR_ROTATION

See Also:
  Constant Field Values

#### ATTR_START

    public static final String ATTR_START

See Also:
  Constant Field Values

#### ATTR_END

    public static final String ATTR_END

See Also:
  Constant Field Values

#### ATTR_DOTS1

    public static final String ATTR_DOTS1

See Also:
  Constant Field Values

#### ATTR_DOTS1_LENGTH

    public static final String ATTR_DOTS1_LENGTH

See Also:
  Constant Field Values

#### ATTR_DOTS2

    public static final String ATTR_DOTS2

See Also:
  Constant Field Values

#### ATTR_DOTS2_LENGTH

    public static final String ATTR_DOTS2_LENGTH

See Also:
  Constant Field Values

#### ATTR_CX

    public static final String ATTR_CX

See Also:
  Constant Field Values

#### ATTR_CY

    public static final String ATTR_CY

See Also:
  Constant Field Values

#### ATTR_BACKGROUND_SIZE

    public static final String ATTR_BACKGROUND_SIZE

See Also:
  Constant Field Values

#### ATTR_CONTROL

    public static final String ATTR_CONTROL

See Also:
  Constant Field Values

#### ATTR_CAPTION_ID

    public static final String ATTR_CAPTION_ID

See Also:
  Constant Field Values

#### ATTR_NAV_ORDER

    public static final String ATTR_NAV_ORDER

See Also:
  Constant Field Values

### Constructor Detail

#### DrawConstants

    public DrawConstants()